using PlantBox.Client.Models;
using PlantBox.Client.Resources;
using PlantBox.Client.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace PlantBox.Client.Forms.Plant
{
    [XamlCompilation(XamlCompilationOptions.Compile)]
    public partial class PlantPage : TabbedPage
    {
        public PlantPage(PlantViewModel viewModel)
        {
            InitializeComponent();

            Children.Add(new CaptorsPage()
            {
                BindingContext = viewModel,
                Title = Locale.Informations
            });
            Children.Add(new HistoricPage(viewModel)
            {
                Title = Locale.Historic
            });
        }
    }
}